name: Bug Report
description: Please do not use bug reports for support issues.
labels: ['status:awaiting-triage', 'type:bug']
body:
  - type: markdown
    attributes:
      value: |
        **THIS IS NOT THE PLACE TO ASK FOR SUPPORT!** Please use [Discord](https://tautulli.com/discord) for support issues.
  - type: textarea
    id: description
    attributes:
      label: Describe the Bug
      description: A clear and concise description of the bug.
    validations:
      required: true
  - type: textarea
    id: steps
    attributes:
      label: Steps to Reproduce
      description: List each action required in order to reproduce the issue.
      placeholder: |
        1. Go to '...'
        2. Click on '...'
        3. Scroll down to '...'
        4. See error
  - type: textarea
    id: expected
    attributes:
      label: Expected Behavior
      description: A clear and concise description of what you expected to happen.
  - type: textarea
    id: screenshots
    attributes:
      label: Screenshots
      description: Provide screenshots to help explain your problem.
  - type: textarea
    id: relevant
    attributes:
      label: Relevant Settings
      description: Include all settings/configuration that are relevant to your issue. For example, Plex Media Server, newsletter, or notification settings.
      placeholder: |
        - eg. Plex Media Server IP address/port/checkboxes/proxy/etc.
        - eg. Notification agent configuration/triggers/conditions/text/delay/grouping/etc.
        - eg. Newsletter agent configuration/checkboxes/template/etc.
        - Other settings
  - type: input
    id: version
    attributes:
      label: Tautulli Version
      description: Check Tautulli Settings > Help & Info page.
      placeholder: eg. v2.7.5
    validations:
      required: true
  - type: input
    id: branch
    attributes:
      label: Git Branch
      description: Check Tautulli Settings > Help & Info page.
      placeholder: eg. master
    validations:
      required: true
  - type: input
    id: hash
    attributes:
      label: Git Commit Hash
      description: Check Tautulli Settings > Help & Info page.
      placeholder: eg. 2cc5bf812fe05e0666aeaeb37ed550c59816fb4c
    validations:
      required: true
  - type: input
    id: platform
    attributes:
      label: Platform and Version
      description: Check Tautulli Settings > Help & Info page.
      placeholder: eg. Windows 10
    validations:
      required: true
  - type: input
    id: python
    attributes:
      label: Python Version
      description: Check Tautulli Settings > Help & Info page.
      placeholder: eg. 3.8.10
    validations:
      required: true
  - type: input
    id: browser
    attributes:
      label: Browser and Version
      placeholder: eg. Chrome 88
    validations:
      required: true
  - type: input
    id: logs
    attributes:
      label: Link to Logs
      description: Include a link to your **FULL** logs (not just a few lines) on [Gist](http://gist.github.com).
    validations:
      required: true
  - type: markdown
    attributes:
      value: |
        Make sure to close your issue when it's solved! If you found the solution yourself please comment so that others benefit from it.
